# Scenario Sharer (Beta, may not work)
* Share your Scene Vault Files with zero code. 
* Simply add this mod as a depenency to your Mod
* Your scene will auto load into others' `SceneConfigs` folder.  
* Includes [Vault Save Compatibility](https://h3vr.thunderstore.io/package/NGA/VaultSaveCompatibility/) mod, so others can safely download your scene even if they're missing some dependencies in it.

## SIMPLE How-to-Use (with Template):
* Coming soon!

## DETAILED How-to-Use:
### Saving a Scene in H3VR
Use the existing H3VR `Save Scenario` menu in your `Wrist Menu` to save your scene.
### Finding Scenario File in your PC
1. Open File Explorer in Windows
2. Go to your `C:\Users\<YOU>\Documents\My Games\H3VR\Vault\SceneConfigs` folder
3. Enter the scene folder you saved your scenario in, for example `gp_hangar` for GP_Hangar
4. Select the Scenario file you wish to share, and copy it with `Crtl+C`
![](https://i.imgur.com/AM2hD4P_d.webp?maxwidth=1520)
### Making a Scenario Mod
1. Follow this [short **"Manual Creation"** portion of the guide hyperlinked](https://h3vr-modding.github.io/wiki/creating/thunderstore/uploading.html) to set up the file structure of your Mod.  
  i. Your folder should look like this with the exact same file names and types: ![](https://i.imgur.com/hTxM7B4.png)
  ii. Your manifest should look like this
    ```
    {
        "name": "YourModName",
        "version_number": "1.0.0",
        "website_url": "",
        "description": "Your Mod description.",
        "dependencies": [
            "NGA-ScenarioSharer-0.1.0"
        ]
    }
    ```
2. Paste the scene configuration file you copied earlier into this mod folder.  
  i. Add the prefix `"shared_"` to the file name.  
  ii. Example, if the original file was called `CLEAN_gp_hangar_VFS`, it should now be called `shared_CLEAN_gp_hangar_VFS`:
![](https://i.imgur.com/LVhj2kV.png)

### Uploading your Mod
1. Compress your files with the default Windows compressor highlighted in the image below:  
![](https://i.imgur.com/M3JgOlO.png)
2. Open https://h3vr.thunderstore.io/package/create/  
  i. Create an account with the site if needed, you can use your GitHub too.
3. Drag the Zip file you created in the previous section where indicated.  
  i. Select your Team (your account)   
  ii. Ensure you have `H3VR` set as the game  
  iii. Set the Category to `Scene File`  
  iv. Submit and debug. 
![](https://i.imgur.com/I0ZzIBs.png)
4. Debugging Thunderstore (Common errors)    
  i. Your `image` isn't called "icon" or it's not a PNG of size 256x256.   
  ii. `Manifest` has error, validate it with https://h3vr.thunderstore.io/tools/manifest-v1-validator/  
  iii. `README` has MarkDown syntax error, validate it with https://h3vr.thunderstore.io/tools/markdown-preview/   

### Versions
#### 0.1.1
* Corrected dll version, oops!
#### 0.1.0
* Automatically loads any scenario files with "shared_" prefix in their name to the /Plugins' subfolders
* Open Beta, let's see what breaks
